## kf6-kcrash 6.19.0+p24.04+vstable+git20251021.0540

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

set(KF_VERSION "6.20.0") # handled by release scripts
set(KF_DEP_VERSION "6.19.0") # handled by release scripts
project(KCrash VERSION ${KF_VERSION})

set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

include(FeatureSummary)
find_package(ECM 6.19.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(KDEGitCommitHooks)
include(ECMDeprecationSettings)
include(ECMGenerateQDoc)

set(REQUIRED_QT_VERSION 6.8.0)
find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Core Gui)

if(UNIX AND NOT APPLE AND NOT ANDROID AND NOT HAIKU)
    option(WITH_X11 "Build with X11 integration" ON)
else()
    set(WITH_X11 OFF)
endif()

if(WITH_X11)
    find_package(X11 REQUIRED)
    set(HAVE_X11 TRUE)
endif()
find_package(Qt6Test ${REQUIRED_QT_VERSION} CONFIG REQUIRED)
include(ECMGenerateExportHeader)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMQtDeclareLoggingCategory)

set(kcrash_version_header "${CMAKE_CURRENT_BINARY_DIR}/src/kcrash_version.h")
ecm_setup_version(PROJECT VARIABLE_PREFIX KCRASH
                        VERSION_HEADER "${kcrash_version_header}"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF6CrashConfigVersion.cmake"
                        SOVERSION 6)

find_package(KF6CoreAddons ${KF_DEP_VERSION} REQUIRED)

set(KCRASH_CORE_PATTERN_RAISE_DEFAULT ON)

option(KCRASH_CORE_PATTERN_RAISE
    "Enables raising signals to kernel core patterns (iff the pattern is a process). You may wish to not install drkonqi if this can cause a UI conflict."
    ${KCRASH_CORE_PATTERN_RAISE_DEFAULT})
add_feature_info("Core Pattern Raising"
    KCRASH_CORE_PATTERN_RAISE
    "Raising signals to kernel core patterns (iff the pattern is a process). You may wish to not install drkonqi if this can cause a UI conflict.")

ecm_set_disabled_deprecation_versions(
    QT 6.10.0
    KF 6.18.0
)

add_subdirectory(src)
if(BUILD_TESTING)
    add_subdirectory(autotests)
endif()

# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF6Crash")

include(CMakePackageConfigHelpers)

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF6CrashConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF6CrashConfig.cmake"
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF6CrashConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF6CrashConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT KF6CrashTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF6CrashTargets.cmake NAMESPACE KF6::)

install(FILES
  ${kcrash_version_header}
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KCrash COMPONENT Devel
)

include(ECMFeatureSummary)
ecm_feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== debian/changelog ===
kf6-kcrash (6.19.0+p24.04+vstable+git20251021.0540-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 05:40:43 +0000

=== debian/control ===
Source: kf6-kcrash
Section: libs
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               doxygen,
               graphviz,
               kde-qdoc-common-dev,
               kf6-extra-cmake-modules,
               kf6-kcoreaddons-dev,
               kf6-kwindowsystem-dev,
               libx11-dev,
               pkg-kde-tools-neon,
               qt6-base-dev,
               qt6-tools-dev,
               xauth,
               xvfb
Standards-Version: 4.6.2
Homepage: https://projects.kde.org/projects/frameworks/kcrash
Vcs-Git: https://invent.kde.org/neon/kf6/kf6-kcrash.git
Vcs-Browser: https://invent.kde.org/neon/kf6/kf6-kcrash
Maintainer: Neon CI <neon@kde.org>

Package: kf6-kcrash
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: libkf6crash-data, libkf6crash-doc, libkf6crash6
Description: Support for application crash analysis and bug report from apps (documentation)
 KCrash provides support for intercepting and handling application crashes.
 .
 This package contains the qch documentation files.

Package: kf6-kcrash-dev
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Depends: kf6-kcrash (= ${binary:Version}), qt6-base-dev, ${misc:Depends}
Replaces: libkf6crash-dev
Description: Support for application crash analysis and bug report from apps
 KCrash provides support for intercepting and handling application crashes.
 .
 Contains development files for kcrash.

Package: libkf6crash-data
Architecture: all
Depends: kf6-kcrash-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6crash-doc
Architecture: all
Depends: kf6-kcrash-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6crash6
Architecture: all
Depends: kf6-kcrash, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6crash-dev
Architecture: all
Depends: kf6-kcrash-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

## kf6-kcrash 6.19.0+p24.04+vunstable+git20251020.0220

=== debian/changelog ===
kf6-kcrash (6.19.0+p24.04+vunstable+git20251020.0220-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 02:20:15 +0000

## kf6-kcrash 6.20.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,14 +1,14 @@
 cmake_minimum_required(VERSION 3.16)
 
 set(KF_VERSION "6.20.0") # handled by release scripts
-set(KF_DEP_VERSION "6.19.0") # handled by release scripts
+set(KF_DEP_VERSION "6.20.0") # handled by release scripts
 project(KCrash VERSION ${KF_VERSION})
 
 set(CMAKE_CXX_STANDARD 20)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
 
 include(FeatureSummary)
-find_package(ECM 6.19.0  NO_MODULE)
+find_package(ECM 6.20.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
@@ -59,7 +59,7 @@
 
 ecm_set_disabled_deprecation_versions(
     QT 6.10.0
-    KF 6.18.0
+    KF 6.19.0
 )
 
 add_subdirectory(src)

=== debian/changelog ===
kf6-kcrash (6.20.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.20.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 15 Nov 2025 19:24:32 +0100

=== debian/control ===
Source: kf6-kcrash
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               cmake (>= 3.16~),
               doxygen,
               extra-cmake-modules (>= 6.20.0~),
               libkf6coreaddons-dev (>= 6.20.0~),
               libx11-dev,
               libxkbcommon-dev,
               qt6-base-dev (>= 6.8.0~),
               qt6-tools-dev (>= 6.5.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/frameworks/kcrash
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kcrash
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kcrash.git
Rules-Requires-Root: no

Package: libkf6crash-dev
Section: libdevel
Architecture: any
Depends: libkf6coreaddons-dev (>= 6.20.0~),
         libkf6crash6 (= ${binary:Version}),
         qt6-base-dev (>= 6.8.0~),
         ${misc:Depends},
Recommends: libkf6crash-doc (= ${source:Version}),
Description: Support for application crash analysis and bug report from apps
 KCrash provides support for intercepting and handling application crashes.
 .
 Contains development files for kcrash.

Package: libkf6crash-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Support for application crash analysis and bug report from apps (documentation)
 KCrash provides support for intercepting and handling application crashes.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf6crash6
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Support for application crash analysis and bug report from apps
 KCrash provides support for intercepting and handling application crashes.

## kf6-kcrash 6.20.0+p24.04+vunstable+git20251122.0725

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.20.0") # handled by release scripts
+set(KF_VERSION "6.21.0") # handled by release scripts
 set(KF_DEP_VERSION "6.20.0") # handled by release scripts
 project(KCrash VERSION ${KF_VERSION})

=== debian/changelog ===
kf6-kcrash (6.20.0+p24.04+vunstable+git20251122.0725-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 22 Nov 2025 07:25:10 +0000

kf6-kcrash (6.20.0-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 22 Nov 2025 15:33:51 +1000

## kf6-kcrash 6.20.0+p24.04+vunstable+git20251206.0248

=== debian/changelog ===
kf6-kcrash (6.20.0+p24.04+vunstable+git20251206.0248-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 06 Dec 2025 02:48:29 +0000

## kf6-kcrash 6.21.0

=== debian/changelog ===
kf6-kcrash (6.21.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.21.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 12 Dec 2025 11:50:25 +0000

kf6-kcrash (6.20.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.20.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 Nov 2025 16:13:24 +0000

=== debian/control ===
Source: kf6-kcrash
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               cmake (>= 3.16~),
               doxygen,
               extra-cmake-modules (>= 6.21.0~),
               libkf6coreaddons-dev (>= 6.21.0~),
               libx11-dev,
               libxkbcommon-dev,
               qt6-base-dev (>= 6.8.0+dfsg~),
               qt6-tools-dev (>= 6.8.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/frameworks/kcrash
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kcrash
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kcrash
Rules-Requires-Root: no

Package: libkf6crash-dev
Section: libdevel
Architecture: any
Depends: libkf6coreaddons-dev (>= 6.21.0~),
         libkf6crash6 (= ${binary:Version}),
         qt6-base-dev (>= 6.8.0+dfsg~),
         ${misc:Depends},
Recommends: libkf6crash-doc (= ${source:Version}),
Description: Support for application crash analysis and bug report from apps
 KCrash provides support for intercepting and handling application crashes.
 .
 Contains development files for kcrash.

Package: libkf6crash-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Support for application crash analysis and bug report from apps (documentation)
 KCrash provides support for intercepting and handling application crashes.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf6crash6
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Support for application crash analysis and bug report from apps
 KCrash provides support for intercepting and handling application crashes.

## kf6-kcrash 6.21.0+p24.04+vstable+git20251207.0714

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,14 +1,14 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.21.0") # handled by release scripts
-set(KF_DEP_VERSION "6.20.0") # handled by release scripts
+set(KF_VERSION "6.22.0") # handled by release scripts
+set(KF_DEP_VERSION "6.21.0") # handled by release scripts
 project(KCrash VERSION ${KF_VERSION})
 
 set(CMAKE_CXX_STANDARD 20)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
 
 include(FeatureSummary)
-find_package(ECM 6.20.0  NO_MODULE)
+find_package(ECM 6.21.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

## kf6-kcrash 6.22.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,14 +1,14 @@
 cmake_minimum_required(VERSION 3.16)
 
 set(KF_VERSION "6.22.0") # handled by release scripts
-set(KF_DEP_VERSION "6.21.0") # handled by release scripts
+set(KF_DEP_VERSION "6.22.0") # handled by release scripts
 project(KCrash VERSION ${KF_VERSION})
 
 set(CMAKE_CXX_STANDARD 20)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
 
 include(FeatureSummary)
-find_package(ECM 6.21.0  NO_MODULE)
+find_package(ECM 6.22.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
@@ -58,8 +58,8 @@
     "Raising signals to kernel core patterns (iff the pattern is a process). You may wish to not install drkonqi if this can cause a UI conflict.")
 
 ecm_set_disabled_deprecation_versions(
-    QT 6.10.0
-    KF 6.19.0
+    QT 6.11.0
+    KF 6.21.0
 )
 
 add_subdirectory(src)

=== debian/changelog ===
kf6-kcrash (6.22.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.22.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 Jan 2026 18:29:29 +0000

=== debian/control ===
--- 
+++ 
@@ -5,13 +5,13 @@
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.21.0~),
-               libkf6coreaddons-dev (>= 6.21.0~),
+               extra-cmake-modules (>= 6.22.0~),
+               libkf6coreaddons-dev (>= 6.22.0~),
                libx11-dev,
                libxkbcommon-dev,
                qt6-base-dev (>= 6.8.0+dfsg~),
@@ -27,7 +27,7 @@
 Package: libkf6crash-dev
 Section: libdevel
 Architecture: any
-Depends: libkf6coreaddons-dev (>= 6.21.0~),
+Depends: libkf6coreaddons-dev (>= 6.22.0~),
          libkf6crash6 (= ${binary:Version}),
          qt6-base-dev (>= 6.8.0+dfsg~),
          ${misc:Depends},

## kf6-kcrash 6.22.0+p24.04+vstable+git20260106.0903

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.22.0") # handled by release scripts
+set(KF_VERSION "6.23.0") # handled by release scripts
 set(KF_DEP_VERSION "6.22.0") # handled by release scripts
 project(KCrash VERSION ${KF_VERSION})

## kf6-kcrash 6.22.0+p24.04+vstable+git20260111.0109

=== debian/changelog ===
kf6-kcrash (6.22.0+p24.04+vstable+git20260111.0109-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 11 Jan 2026 01:09:59 +0000

kf6-kcrash (6.22.0-0neon) Noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 16:44:39 +1000

kf6-kcrash (6.21.0-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 07 Dec 2025 15:13:04 +1000

## kf6-kcrash 6.22.0+p24.04+vstable+git20260126.0701

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.16)
+cmake_minimum_required(VERSION 3.27)
 
 set(KF_VERSION "6.23.0") # handled by release scripts
 set(KF_DEP_VERSION "6.22.0") # handled by release scripts

=== debian/changelog ===
kf6-kcrash (6.22.0+p24.04+vstable+git20260126.0701-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 26 Jan 2026 07:01:14 +0000

## kf6-kcrash 6.22.0+p24.04+vunstable+git20260126.0745

=== debian/changelog ===
kf6-kcrash (6.22.0+p24.04+vunstable+git20260126.0745-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 26 Jan 2026 07:45:59 +0000

## kf6-kcrash 6.23.0

=== debian/changelog ===
kf6-kcrash (6.23.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.23.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.3, no change required.
  * Drop Rules-Requires-Root: no, not needed anymore since trixie.
  * Drop Priority: optional, not needed anymore since dpkg 1.22.13.
  * Add/update Nicolas Fella’s key in upstream keyring.
  * Use DEB_HOST_MULTIARCH in libraries install path.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 21 Feb 2026 16:47:50 +0100

=== debian/control ===
Source: kf6-kcrash
Section: libs
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               cmake (>= 3.27~),
               doxygen,
               extra-cmake-modules (>= 6.23.0~),
               libkf6coreaddons-dev (>= 6.23.0~),
               libx11-dev,
               libxkbcommon-dev,
               qt6-base-dev (>= 6.8.0~),
               qt6-tools-dev (>= 6.5.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.3
Homepage: https://invent.kde.org/frameworks/kcrash
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kcrash
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kcrash.git

Package: libkf6crash-dev
Section: libdevel
Architecture: any
Depends: libkf6coreaddons-dev (>= 6.23.0~),
         libkf6crash6 (= ${binary:Version}),
         qt6-base-dev (>= 6.8.0~),
         ${misc:Depends},
Recommends: libkf6crash-doc (= ${source:Version}),
Description: Support for application crash analysis and bug report from apps
 KCrash provides support for intercepting and handling application crashes.
 .
 Contains development files for kcrash.

Package: libkf6crash-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Support for application crash analysis and bug report from apps (documentation)
 KCrash provides support for intercepting and handling application crashes.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf6crash6
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Support for application crash analysis and bug report from apps
 KCrash provides support for intercepting and handling application crashes.

## kf6-kcrash 6.23.0a

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,14 +1,14 @@
 cmake_minimum_required(VERSION 3.27)
 
 set(KF_VERSION "6.23.0") # handled by release scripts
-set(KF_DEP_VERSION "6.22.0") # handled by release scripts
+set(KF_DEP_VERSION "6.23.0") # handled by release scripts
 project(KCrash VERSION ${KF_VERSION})
 
 set(CMAKE_CXX_STANDARD 20)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
 
 include(FeatureSummary)
-find_package(ECM 6.22.0  NO_MODULE)
+find_package(ECM 6.23.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kf6-kcrash (6.23.0a-0ubuntu1) resolute; urgency=medium

  * Tarball respin.
  * Drop patch.

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Feb 2026 12:20:47 +0000

kf6-kcrash (6.23.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.23.0)
  * Disable test build.
  * Revert upstream test commit that breaks build with Qt < 6.10.

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Feb 2026 11:36:43 +0000

=== debian/control ===
Source: kf6-kcrash
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               doxygen,
               extra-cmake-modules (>= 6.23.0~),
               libkf6coreaddons-dev (>= 6.23.0~),
               libx11-dev,
               libxkbcommon-dev,
               qt6-base-dev (>= 6.8.0+dfsg~),
               qt6-tools-dev (>= 6.8.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/frameworks/kcrash
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kcrash
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kcrash
Rules-Requires-Root: no

Package: libkf6crash-dev
Section: libdevel
Architecture: any
Depends: libkf6coreaddons-dev (>= 6.23.0~),
         libkf6crash6 (= ${binary:Version}),
         qt6-base-dev (>= 6.8.0+dfsg~),
         ${misc:Depends},
Recommends: libkf6crash-doc (= ${source:Version}),
Description: Support for application crash analysis and bug report from apps
 KCrash provides support for intercepting and handling application crashes.
 .
 Contains development files for kcrash.

Package: libkf6crash-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Support for application crash analysis and bug report from apps (documentation)
 KCrash provides support for intercepting and handling application crashes.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf6crash6
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Support for application crash analysis and bug report from apps
 KCrash provides support for intercepting and handling application crashes.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Disable fixfilepath, as it triggers build failures.
export DEB_BUILD_MAINT_OPTIONS = hardening=+all reproducible=-fixfilepath

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_QCH=ON -DBUILD_TESTING=OFF

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:
